Bug 202050 - ports-mgmt/portlint: only suggest `make makepatch` once per file
Summary: ports-mgmt/portlint: only suggest `make makepatch` once per file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-03 02:44 UTC by Gerald Pfeifer
Modified: 2018-05-12 20:20 UTC (History)
0 users

See Also:


Attachments
Proposed patch (372 bytes, patch)
2015-08-03 02:44 UTC, Gerald Pfeifer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-08-03 02:44:15 UTC
Created attachment 159479 [details]
Proposed patch

Right now portlint warns multiple times if one patch file (files/patch...)
contains patches for multiple files.

Warnings once per file really is sufficient.

Find a simple patch to accomplish this attached.
Comment 1 Joe Marcus Clarke freebsd_committer 2015-08-06 15:04:01 UTC
Committed to my CVS repo pending the next release.  Thanks!
Comment 2 commit-hook freebsd_committer 2015-08-09 22:24:22 UTC
A commit references this bug:

Author: marcus
Date: Sun Aug  9 22:23:27 UTC 2015
New revision: 393830
URL: https://svnweb.freebsd.org/changeset/ports/393830

Log:
  Update to 2.16.6.

  * Only report "make makepatch" once per patch file [1]
  * Attempt to re-word the make makepatch warning to avoid unnecessary repo
    churn [2]
  * Attempt to test some other macros for sorting [3]
  * Do not check empty dependencies for validity [4]

  PR:		202050 [1]
  		201647 [2]
  		201409 [3]
  		202052 [4]
  Submitted by:	gerald [1]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 3 Joe Marcus Clarke freebsd_committer 2015-08-09 22:24:56 UTC
Committed, thanks!
Comment 4 Gerald Pfeifer freebsd_committer 2018-05-12 20:20:26 UTC
This now regressed, cf. PR 228203.